Mailinglist Archive: yast-devel (122 mails)

< Previous Next >
Re: [yast-devel] RPM Dependencies in General (...and How to Fix Them)
  • From: Lukas Ocilka <lukas.ocilka@xxxxxxx>
  • Date: Wed, 05 Dec 2007 14:25:35 +0100
  • Message-id: <4756A6CF.2040603@xxxxxxx>
Klaus Kaempf napsal(a):
* Stanislav Visnovsky <visnov@xxxxxxx> [Dec 04. 2007 14:31]:
Hmm, so we cannot release yast2.rpm as maintenance update without releasing
also yast2-core?

Sound like a good reason to adapt yast2 versioning to all other
packages of the distribution, namely

- keep version fixed for a distribution, maintenance updates only
increase the release.

If this rule is followed, dependencies on the version (without
specifying a release) should be fine.

On the other hand this still doesn't solve the problem with
binary-incompatible core (unless explicitly expressed a dependency on
'current' yast2-core.rpm or 'current' yast2.rpm in every single package).

We currently use the YaST-versioning for expressing cross-package
dependencies. Let's think about pros and cons of switching to some other
versioning...

Ideas, Examples?

Lukas

< Previous Next >